GNU bug report logs - #36505
26.1; GDB stepping through code splits GUD windows

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Martin Sebor <msebor@HIDDEN>; Keywords: moreinfo; Done: Lars Ingebrigtsen <larsi@HIDDEN>; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
bug closed, send any further explanations to 36505 <at> debbugs.gnu.org and Martin Sebor <msebor@HIDDEN> Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 36505 <at> debbugs.gnu.org:


Received: (at 36505) by debbugs.gnu.org; 25 Sep 2019 14:39:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 25 10:39:12 2019
Received: from localhost ([127.0.0.1]:42244 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iD8Rj-0005nL-VY
	for submit <at> debbugs.gnu.org; Wed, 25 Sep 2019 10:39:12 -0400
Received: from quimby.gnus.org ([80.91.231.51]:36654)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1iD8Ri-0005nE-Db
 for 36505 <at> debbugs.gnu.org; Wed, 25 Sep 2019 10:39:10 -0400
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=marnie)
 by quimby.gnus.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.89) (envelope-from <larsi@HIDDEN>)
 id 1iD8Rf-0004Ej-8y; Wed, 25 Sep 2019 16:39:09 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#36505: 26.1; GDB stepping through code splits GUD windows
References: <0cf36bd0-c928-bdf1-12c0-05fd223535f3@HIDDEN>
 <8336jlaueg.fsf@HIDDEN>
 <a9a883d8-309b-39ff-0fa6-ec991b06b4b4@HIDDEN>
 <835zo951f8.fsf@HIDDEN>
Date: Wed, 25 Sep 2019 16:39:06 +0200
In-Reply-To: <835zo951f8.fsf@HIDDEN> (Eli Zaretskii's message of "Wed, 10 Jul
 2019 18:55:55 +0300")
Message-ID: <87y2yctp85.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Eli Zaretskii <eliz@HIDDEN> writes: >> I'll keep trying to
 narrow it down to something more specific. > > Thanks. More information was
 requested, but no response was given within a few months, so I'm closing
 this bug report. If the problem still exists, please reopen this bug report.
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 36505
Cc: 36505 <at> debbugs.gnu.org, Martin Sebor <msebor@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

>> I'll keep trying to narrow it down to something more specific.
>
> Thanks.

More information was requested, but no response was given within a few
months, so I'm closing this bug report.  If the problem still exists,
please reopen this bug report.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36505; Package emacs. Full text available.
Added tag(s) moreinfo. Request was from Noam Postavsky <npostavs@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 36505 <at> debbugs.gnu.org:


Received: (at 36505) by debbugs.gnu.org; 10 Jul 2019 17:07:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jul 10 13:07:35 2019
Received: from localhost ([127.0.0.1]:36502 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hlG47-00012M-6q
	for submit <at> debbugs.gnu.org; Wed, 10 Jul 2019 13:07:35 -0400
Received: from mail-qt1-f171.google.com ([209.85.160.171]:39203)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <msebor@HIDDEN>) id 1hlEIE-0006i1-EE
 for 36505 <at> debbugs.gnu.org; Wed, 10 Jul 2019 11:14:02 -0400
Received: by mail-qt1-f171.google.com with SMTP id l9so2801601qtu.6
 for <36505 <at> debbugs.gnu.org>; Wed, 10 Jul 2019 08:14:02 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:subject:to:cc:references:message-id:date:user-agent
 :mime-version:in-reply-to:content-language:content-transfer-encoding;
 bh=cOivhmpbXLqZRjQ4kd5+x7Q37Aw0o3S0N0AWByTMFv0=;
 b=IUiu69Ko+ZBiccy/8I2B1jHXiDX0vm5xUCgiQAEk0sfk2rEuMIBIfOn54FAR4IBye+
 Hk7uQu5JqFK1JY3NcIzpmIgVOgg+Qk6PxvvcAvy2mfzwy/7bTLxmvn7locvzt+rFCitE
 BkKiFl6OokcoV2yi3V1OYFybIq2xZzVxvHQR8duH0uxjP1iEKwKtjMXh0qZ355hzqAPQ
 1cUJ3SzjU65kkr05e//w3kj8l4CkT8VhM57IL6tPbAMSqs7O0pw3++bsGHouwe2xvuV/
 XLrIEeLsjVC006EmejI3ilKW1EF57s7WTLWSEhzIqsK+aGq0JYK3XdiLt0HWRieS94My
 OFkw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:subject:to:cc:references:message-id:date
 :user-agent:mime-version:in-reply-to:content-language
 :content-transfer-encoding;
 bh=cOivhmpbXLqZRjQ4kd5+x7Q37Aw0o3S0N0AWByTMFv0=;
 b=QMlTrh5m/r3JvcactB/4k70UC6piNNv1kUyPAkk813kramHR2qy2Okh5UNZkrSVF9w
 lfPes+HhGRpbKk33rQR3hf8qo4PgFqEqLc4Otj9th0HRUAelXlDX55Pk7uBQUlYyoVnL
 BSvGnlXSBaX0eaAG9rr540iXFiSsOZZ50kxV0RlHCZayQ/NgDhphB7r3uras7JsbWm4q
 PNSBQyNFK2SfZa/DGviY7ca+D3wQ+YgIMaE1WvL3/n/htRUwS3a/qPRm8oLfA7C9zsg6
 YGgT8HAtw49jpLo9cfUtMpMh1ZmthrNXFFVduDFMvLjypYOWOkjQ8MSkTHvqvanvh6WH
 NlfA==
X-Gm-Message-State: APjAAAURIYYpOdI+SBsnY/Y7UJwGGp/ba67N6K6ShjB88OTdJuSuHSbl
 LLnuSEwBW1hvHFpdzpJBdr3bvmBc
X-Google-Smtp-Source: APXvYqxda8P91zZMwTD1CJoUdbwPnBWmr7MRqHQxu0d8KxRpgB0+OjvK+4KmixcOfMg3iWlf0QHFFQ==
X-Received: by 2002:a0c:b758:: with SMTP id q24mr25391022qve.45.1562771636396; 
 Wed, 10 Jul 2019 08:13:56 -0700 (PDT)
Received: from [192.168.0.41] (174-16-116-9.hlrn.qwest.net. [174.16.116.9])
 by smtp.gmail.com with ESMTPSA id p13sm1015612qkj.4.2019.07.10.08.13.54
 (version=TLS1_3 cipher=AEAD-AES128-GCM-SHA256 bits=128/128);
 Wed, 10 Jul 2019 08:13:55 -0700 (PDT)
From: Martin Sebor <msebor@HIDDEN>
Subject: Re: bug#36505: 26.1; GDB stepping through code splits GUD windows
To: Eli Zaretskii <eliz@HIDDEN>
References: <0cf36bd0-c928-bdf1-12c0-05fd223535f3@HIDDEN>
 <8336jlaueg.fsf@HIDDEN>
Message-ID: <a9a883d8-309b-39ff-0fa6-ec991b06b4b4@HIDDEN>
Date: Wed, 10 Jul 2019 09:13:53 -0600
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:60.0) Gecko/20100101
 Thunderbird/60.6.1
MIME-Version: 1.0
In-Reply-To: <8336jlaueg.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  On 7/5/19 12:05 AM,
 Eli Zaretskii wrote: >> From: Martin Sebor
 >> Date: Thu, 4 Jul 2019 13:55:50 -0600 >> >> Since the latest Fedora 29
 update, while using the GUD many windows mode >> and stepping [...] 
 Content analysis details:   (1.3 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (msebor[at]gmail.com)
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [209.85.160.171 listed in list.dnswl.org]
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
 [209.85.160.171 listed in wl.mailspike.net]
 1.3 PDS_NO_HELO_DNS        High profile HELO but no A record
X-Debbugs-Envelope-To: 36505
X-Mailman-Approved-At: Wed, 10 Jul 2019 13:07:34 -0400
Cc: 36505 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

On 7/5/19 12:05 AM, Eli Zaretskii wrote:
>> From: Martin Sebor <msebor@HIDDEN>
>> Date: Thu, 4 Jul 2019 13:55:50 -0600
>>
>> Since the latest Fedora 29 update, while using the GUD many windows mode
>> and stepping in GDB into functions defined in other files than the
>> current one, Emacs will sometimes open the new file either by splitting
>> the current window, or sometimes in the input/output of gcc window.
>> Sometimes it seemingly abitrarily also resizes the windows and changes
>> the layout of the debugging session.  This makes debugging using GUD so
>> confusing that it's nearly unusable.  I end up using gdb-restore-windows
>> every few seconds to at least temporarily restore some sanity to the
>> layout.  Since the default layout isn't ideal for my use, I then have to
>> resize it to my preferred size only to have GUD screw it up again once I
>> step into a function in some other file.
> 
> Thanks, but could you please post a reproducible recipe starting from
> "emacs -Q" to exhibit the problem?  That would make looking into and
> fixing this problem much easier and more efficient.
> 
> I suspect the problem happens for certain frame and window dimensions,
> perhaps only when the frame in which you use gdb-mi is maximized?  But
> that's just a guess, and it would be good to have a recipe on which to
> work.

I am trying to reproduce it in a small test case but I'm all of
a sudden having trouble.  What's happening instead is that syntax
highlighting and indentation don't work in in some regions of code
but they work in others.  All the problems, including the window
resizing and files popping open in dedicated windows feel like they
have something to do with custom faces.  My setting is below.
Changing the font seems to have an effect (I'm just not sure
exactly what it is for which font).

My GUD frame isn't maximized.  Its geometry is set to 164x94 in
.Xresources.  My display is 3840x2160 in case that matters, and
my window manager is Cinnamon.

I'll keep trying to narrow it down to something more specific.

(custom-set-faces
  ;; custom-set-faces was added by Custom.
  ;; If you edit it by hand, you could mess it up, so be careful.
  ;; Your init file should contain only one such instance.
  ;; If there is more than one, they won't work right.
  '(default ((t (:inherit nil :stipple nil :background "cornsilk" 
:foreground "black" :inverse-video nil :box nil :strike-through nil 
:overline nil :underline nil :slant normal :weight normal :height 143 
:width normal :foundry "PfEd" :family "DejaVu Sans Mono"))))
  '(font-lock-builtin-face ((((class color) (background light)) (:bold t 
:foreground "NavyBlue"))))
  '(font-lock-comment-face ((((class color) (background light)) 
(:foreground "SteelBlue"))))
  '(font-lock-constant-face ((((class color) (background light)) 
(:foreground "Black"))))
  '(font-lock-keyword-face ((((class color) (background light)) (:bold t 
:foreground "NavyBlue"))))
  '(font-lock-string-face ((((class color) (background light)) 
(:foreground "SeaGreen"))))
  '(font-lock-type-face ((((class color) (background light)) (:bold t 
:foreground "NavyBlue"))))
  '(font-lock-variable-name-face ((((class color) (background light)) 
(:bold nil :foreground "Black"))))
  '(region ((((class color) (background light)) (:background "lightcyan"))))
  '(scroll-bar ((t (:background "grey75")))))




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36505; Package emacs. Full text available.

Message received at 36505 <at> debbugs.gnu.org:


Received: (at 36505) by debbugs.gnu.org; 10 Jul 2019 15:56:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jul 10 11:56:18 2019
Received: from localhost ([127.0.0.1]:36473 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hlEx8-0007hL-4I
	for submit <at> debbugs.gnu.org; Wed, 10 Jul 2019 11:56:18 -0400
Received: from eggs.gnu.org ([209.51.188.92]:37365)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1hlEx6-0007h6-7a
 for 36505 <at> debbugs.gnu.org; Wed, 10 Jul 2019 11:56:16 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:46706)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1hlEwz-0006X2-1L; Wed, 10 Jul 2019 11:56:09 -0400
Received: from [176.228.60.248] (port=3648 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1hlEwx-0001xk-HY; Wed, 10 Jul 2019 11:56:08 -0400
Date: Wed, 10 Jul 2019 18:55:55 +0300
Message-Id: <835zo951f8.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Martin Sebor <msebor@HIDDEN>
In-reply-to: <a9a883d8-309b-39ff-0fa6-ec991b06b4b4@HIDDEN> (message from
 Martin Sebor on Wed, 10 Jul 2019 09:13:53 -0600)
Subject: Re: bug#36505: 26.1; GDB stepping through code splits GUD windows
References: <0cf36bd0-c928-bdf1-12c0-05fd223535f3@HIDDEN>
 <8336jlaueg.fsf@HIDDEN> <a9a883d8-309b-39ff-0fa6-ec991b06b4b4@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 36505
Cc: 36505 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Martin Sebor <msebor@HIDDEN>
> Cc: 36505 <at> debbugs.gnu.org
> Date: Wed, 10 Jul 2019 09:13:53 -0600
> 
> I am trying to reproduce it in a small test case but I'm all of
> a sudden having trouble.  What's happening instead is that syntax
> highlighting and indentation don't work in in some regions of code
> but they work in others.  All the problems, including the window
> resizing and files popping open in dedicated windows feel like they
> have something to do with custom faces.  My setting is below.
> Changing the font seems to have an effect (I'm just not sure
> exactly what it is for which font).

That is very strange indeed.  What is the major mode in the buffers
where you see the problems with highlighting and indentation?  If
there are some minor modes turned on there, please also tell what are
they.

The only font-related customization in what you show is the one that
use DejaVu Sans Mono as your default font.  Is that the font that you
said makes a difference when you replace it with another?

Also, do you see the problems with highlighting and indentation during
debugging with only the settings of faces that you show, and nothing
else in your init files?  Or are there more settings in effect when
the problems happen?

> My GUD frame isn't maximized.  Its geometry is set to 164x94 in
> .Xresources.  My display is 3840x2160 in case that matters, and
> my window manager is Cinnamon.

OK.

> I'll keep trying to narrow it down to something more specific.

Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36505; Package emacs. Full text available.

Message received at 36505 <at> debbugs.gnu.org:


Received: (at 36505) by debbugs.gnu.org; 5 Jul 2019 06:05:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jul 05 02:05:32 2019
Received: from localhost ([127.0.0.1]:52244 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hjHLe-0000wI-4N
	for submit <at> debbugs.gnu.org; Fri, 05 Jul 2019 02:05:32 -0400
Received: from eggs.gnu.org ([209.51.188.92]:47202)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1hjHLY-0000w2-Mz
 for 36505 <at> debbugs.gnu.org; Fri, 05 Jul 2019 02:05:25 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:43553)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1hjHLT-0003pb-KO; Fri, 05 Jul 2019 02:05:19 -0400
Received: from [176.228.60.248] (port=4703 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1hjHLT-0002YL-4H; Fri, 05 Jul 2019 02:05:19 -0400
Date: Fri, 05 Jul 2019 09:05:11 +0300
Message-Id: <8336jlaueg.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Martin Sebor <msebor@HIDDEN>
In-reply-to: <0cf36bd0-c928-bdf1-12c0-05fd223535f3@HIDDEN> (message from
 Martin Sebor on Thu, 4 Jul 2019 13:55:50 -0600)
Subject: Re: bug#36505: 26.1; GDB stepping through code splits GUD windows
References: <0cf36bd0-c928-bdf1-12c0-05fd223535f3@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 36505
Cc: 36505 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Martin Sebor <msebor@HIDDEN>
> Date: Thu, 4 Jul 2019 13:55:50 -0600
> 
> Since the latest Fedora 29 update, while using the GUD many windows mode
> and stepping in GDB into functions defined in other files than the
> current one, Emacs will sometimes open the new file either by splitting
> the current window, or sometimes in the input/output of gcc window.
> Sometimes it seemingly abitrarily also resizes the windows and changes
> the layout of the debugging session.  This makes debugging using GUD so
> confusing that it's nearly unusable.  I end up using gdb-restore-windows
> every few seconds to at least temporarily restore some sanity to the
> layout.  Since the default layout isn't ideal for my use, I then have to
> resize it to my preferred size only to have GUD screw it up again once I
> step into a function in some other file.

Thanks, but could you please post a reproducible recipe starting from
"emacs -Q" to exhibit the problem?  That would make looking into and
fixing this problem much easier and more efficient.

I suspect the problem happens for certain frame and window dimensions,
perhaps only when the frame in which you use gdb-mi is maximized?  But
that's just a guess, and it would be good to have a recipe on which to
work.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36505; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 4 Jul 2019 20:05:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jul 04 16:05:21 2019
Received: from localhost ([127.0.0.1]:51957 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hj7yq-0007wa-UY
	for submit <at> debbugs.gnu.org; Thu, 04 Jul 2019 16:05:21 -0400
Received: from lists.gnu.org ([209.51.188.17]:47269)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <msebor@HIDDEN>) id 1hj7pm-0007fs-Ey
 for submit <at> debbugs.gnu.org; Thu, 04 Jul 2019 15:55:59 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:41531)
 by lists.gnu.org with esmtp (Exim 4.86_2)
 (envelope-from <msebor@HIDDEN>) id 1hj7pk-0007ee-Q0
 for bug-gnu-emacs@HIDDEN; Thu, 04 Jul 2019 15:55:58 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,FREEMAIL_FROM,
 URIBL_BLOCKED autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <msebor@HIDDEN>) id 1hj7pj-0004cS-DF
 for bug-gnu-emacs@HIDDEN; Thu, 04 Jul 2019 15:55:56 -0400
Received: from mail-qk1-x730.google.com ([2607:f8b0:4864:20::730]:46671)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <msebor@HIDDEN>) id 1hj7pj-0004bm-5t
 for bug-gnu-emacs@HIDDEN; Thu, 04 Jul 2019 15:55:55 -0400
Received: by mail-qk1-x730.google.com with SMTP id r4so6268502qkm.13
 for <bug-gnu-emacs@HIDDEN>; Thu, 04 Jul 2019 12:55:54 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=to:subject:from:message-id:date:user-agent:mime-version
 :content-language:content-transfer-encoding;
 bh=5Om8NmExGTOcwmhFa7qHWd9akmaz9rk4ej/KCl4qMt4=;
 b=I0xdDJ0MfUsdWWOT/myj961mzjHHopOZOGqNKahjxQ+9xkTcM4yJz45xbXPib0Ueey
 2N9IDfn15wA8ULiCXZBMk4jXlBQiK21spjbFhszrC5ZRyc9DlPh7kjO7vwdn91MWnOHz
 Nlo8tr+ePpkh7D9A0FUjM4MBNJetYdaCK/ezLO2FoLQvDHrHJR6A1QQFc+daPTjKnH0y
 DqxYTlqrmjhLAE+5PWkFWwKnnoL/fvTT5Www8u6dTcvznY5jf2cMrpZ+EcyJxZsflEh0
 SLuDnXdgxBWkTnSOSf4iKWS/zwfYE1vzPnSq5dGqbPzXoAH2xho0Xgu0kzwtKUFQwxBv
 0/Yg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:to:subject:from:message-id:date:user-agent
 :mime-version:content-language:content-transfer-encoding;
 bh=5Om8NmExGTOcwmhFa7qHWd9akmaz9rk4ej/KCl4qMt4=;
 b=EaYUudx+3LCsqgcXztNm/f4uNGMnMogzaDkXvX0qn78RpjnsKdwZMDILUkhjedRRhI
 XIMWSVGBWCtixOOfKjJrnWGtQeTqevRp+ee4X+VQz8VX7tRIdTf4O06PrFw1xb/i5usG
 fCHZYaG33UJpGY3uITZZGWeFdrMzH/4VbvJULGFGHHglfnk+o7sR0gt+gIHYIurx5xVA
 EMCeyrRaf+BaS0IH40Llyz83Y3NeefmVOMccaRWEUhG4y/hxhKPbL0FYSZqELYQG9Sua
 kyrOWHZmtvHRhO5SLMKPC4Qrvph3nnTPQTj2lVG/GVywxIo4X+pk4km5QWBB8GGbOpet
 WHDw==
X-Gm-Message-State: APjAAAVUiQ3Vz1EHqaItAQgFbmsR8cDUw4BYmOBt+SLta+Zfq98Uiw3c
 5Y8987PrDouT6LJzie4VqeOyI7UR
X-Google-Smtp-Source: APXvYqyAG2oUknPTGtrGLfm+9+/6ADB/lNNX72F+0+WbHLZLtruIiviYLayiGwivhejYHS7ZVsLDBQ==
X-Received: by 2002:a37:278c:: with SMTP id n134mr144386qkn.427.1562270153374; 
 Thu, 04 Jul 2019 12:55:53 -0700 (PDT)
Received: from [192.168.0.41] (174-16-116-9.hlrn.qwest.net. [174.16.116.9])
 by smtp.gmail.com with ESMTPSA id n18sm2771784qtp.79.2019.07.04.12.55.51
 for <bug-gnu-emacs@HIDDEN>
 (version=TLS1_3 cipher=AEAD-AES128-GCM-SHA256 bits=128/128);
 Thu, 04 Jul 2019 12:55:51 -0700 (PDT)
To: bug-gnu-emacs@HIDDEN
Subject: 26.1; GDB stepping through code splits GUD windows
From: Martin Sebor <msebor@HIDDEN>
Message-ID: <0cf36bd0-c928-bdf1-12c0-05fd223535f3@HIDDEN>
Date: Thu, 4 Jul 2019 13:55:50 -0600
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:60.0) Gecko/20100101
 Thunderbird/60.6.1
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-Received-From: 2607:f8b0:4864:20::730
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Thu, 04 Jul 2019 16:05:19 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

Since the latest Fedora 29 update, while using the GUD many windows mode
and stepping in GDB into functions defined in other files than the
current one, Emacs will sometimes open the new file either by splitting
the current window, or sometimes in the input/output of gcc window.
Sometimes it seemingly abitrarily also resizes the windows and changes
the layout of the debugging session.  This makes debugging using GUD so
confusing that it's nearly unusable.  I end up using gdb-restore-windows
every few seconds to at least temporarily restore some sanity to the
layout.  Since the default layout isn't ideal for my use, I then have to
resize it to my preferred size only to have GUD screw it up again once I
step into a function in some other file.


In GNU Emacs 26.1 (build 1, x86_64-redhat-linux-gnu, GTK+ Version 3.23.2)
  of 2018-08-13 built on buildvm-13.phx2.fedoraproject.org
Windowing system distributor 'Fedora Project', version 11.0.12004000
Recent messages:
The program being debugged exited while in a function called from GDB.
Evaluation of the expression containing the function
(tree_class_check(tree_node*, tree_code_class, char const*, int, char 
const*)) will be abandoned.
Switched to thread 1
Switched to thread nil
Switched to thread 1
Mark set
Switched to thread nil
Switched to thread 1
Mark activated

Configured using:
  'configure --build=x86_64-redhat-linux-gnu
  --host=x86_64-redhat-linux-gnu --program-prefix=
  --disable-dependency-tracking --prefix=/usr --exec-prefix=/usr
  --bindir=/usr/bin --sbindir=/usr/sbin --sysconfdir=/etc
  --datadir=/usr/share --includedir=/usr/include --libdir=/usr/lib64
  --libexecdir=/usr/libexec --localstatedir=/var
  --sharedstatedir=/var/lib --mandir=/usr/share/man
  --infodir=/usr/share/info --with-dbus --with-gif --with-jpeg --with-png
  --with-rsvg --with-tiff --with-xft --with-xpm --with-x-toolkit=gtk3
  --with-gpm=no --with-xwidgets --with-modules
  build_alias=x86_64-redhat-linux-gnu host_alias=x86_64-redhat-linux-gnu
  'CFLAGS=-DMAIL_USE_LOCKF -O2 -g -pipe -Wall -Werror=format-security
  -Wp,-D_FORTIFY_SOURCE=2 -Wp,-D_GLIBCXX_ASSERTIONS -fexceptions
  -fstack-protector-strong -grecord-gcc-switches
  -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1
  -specs=/usr/lib/rpm/redhat/redhat-annobin-cc1 -m64 -mtune=generic
  -fasynchronous-unwind-tables -fstack-clash-protection -fcf-protection'
  LDFLAGS=-Wl,-z,relro
  PKG_CONFIG_PATH=:/usr/lib64/pkgconfig:/usr/share/pkgconfig'

Configured features:
XPM JPEG TIFF GIF PNG RSVG IMAGEMAGICK SOUND DBUS GSETTINGS NOTIFY ACL
LIBSELINUX GNUTLS LIBXML2 FREETYPE M17N_FLT LIBOTF XFT ZLIB
TOOLKIT_SCROLL_BARS GTK3 X11 MODULES THREADS XWIDGETS LCMS2

Important settings:
   value of $LANG: en_US.UTF-8
   value of $XMODIFIERS: @im=none
   locale-coding-system: utf-8-unix

Major mode: C++//l

Minor modes in effect:
   diff-auto-refine-mode: t
   gdb-many-windows: t
   global-undo-tree-mode: t
   undo-tree-mode: t
   savehist-mode: t
   show-paren-mode: t
   display-time-mode: t
   tooltip-mode: t
   global-eldoc-mode: t
   electric-indent-mode: t
   mouse-wheel-mode: t
   menu-bar-mode: t
   file-name-shadow-mode: t
   global-font-lock-mode: t
   font-lock-mode: t
   blink-cursor-mode: t
   auto-composition-mode: t
   auto-encryption-mode: t
   auto-compression-mode: t
   column-number-mode: t
   line-number-mode: t
   transient-mark-mode: t
   abbrev-mode: t

Load-path shadows:
None found.

Features:
(shadow sort mail-extr emacsbug message rmc puny dired dired-loaddefs
format-spec rfc822 mml mml-sec password-cache epa derived epg epg-config
gnus-util rmail rmail-loaddefs mm-decode mm-bodies mm-encode mail-parse
rfc2231 mailabbrev gmm-utils mailheader sendmail rfc2047 rfc2045
ietf-drums mm-util mail-prsvr mail-utils misearch multi-isearch vc-git
diff-mode cc-mode cc-fonts easymenu cc-guess cc-menus cc-cmds cc-styles
cc-align cc-engine cc-vars cc-defs cl-seq gdb-mi bindat json map seq
byte-opt bytecomp byte-compile cconv gud easy-mmode comint ansi-color
ring elec-pair undo-tree diff highlight-chars redspace-mode savehist-20+
desktop frameset paren time cus-start cus-load 50magit clang-format
cl-macs gv xml cl-loaddefs cl-lib time-date mule-util tooltip eldoc
electric uniquify ediff-hook vc-hooks lisp-float-type mwheel term/x-win
x-win term/common-win x-dnd tool-bar dnd fontset image regexp-opt fringe
tabulated-list replace newcomment text-mode elisp-mode lisp-mode
prog-mode register page menu-bar rfn-eshadow isearch timer select
scroll-bar mouse jit-lock font-lock syntax facemenu font-core
term/tty-colors frame cl-generic cham georgian utf-8-lang misc-lang
vietnamese tibetan thai tai-viet lao korean japanese eucjp-ms cp51932
hebrew greek romanian slovak czech european ethiopic indian cyrillic
chinese composite charscript charprop case-table epa-hook jka-cmpr-hook
help simple abbrev obarray minibuffer cl-preloaded nadvice loaddefs
button faces cus-face macroexp files text-properties overlay sha1 md5
base64 format env code-pages mule custom widget hashtable-print-readable
backquote dbusbind inotify lcms2 dynamic-setting system-font-setting
font-render-setting xwidget-internal move-toolbar gtk x-toolkit x
multi-tty make-network-process emacs)

Memory information:
((conses 16 307086 22928)
  (symbols 48 26756 2)
  (miscs 40 300 1086)
  (strings 32 56058 3214)
  (string-bytes 1 1680186)
  (vectors 16 25160)
  (vector-slots 8 1001757 74114)
  (floats 8 82 316)
  (intervals 56 26702 303)
  (buffers 992 29))




Acknowledgement sent to Martin Sebor <msebor@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#36505; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 25 Sep 2019 14:45:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.